> ## Documentation Index
> Fetch the complete documentation index at: https://domoinc-openapi-sync-dataflows.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Create FileSet

> Creates a new FileSet.



## OpenAPI

````yaml /openapi/product/filesets.yaml post /api/files/v1/filesets
openapi: 3.0.0
info:
  title: FileSets API (BETA) (Product)
  version: v1
  description: >
    <Note>

    BETA: This API is currently in BETA and is subject to change. 

    Endpoints, request/response formats, and functionality may change without
    notice.

    <Note>

    API for managing FileSets and Files in Domo.
servers:
  - url: https://{instance}.domo.com
    description: Domo Instance
    variables:
      instance:
        default: api
        description: Your specific Domo instance name (e.g., mycompany)
security:
  - developerToken: []
tags:
  - name: File
    description: Operations for managing individual files within a FileSet.
  - name: FileSet
    description: Operations for managing FileSets (collections of files).
paths:
  /api/files/v1/filesets:
    post:
      tags:
        - FileSets API (BETA) (Product)
      summary: Create FileSet
      description: Creates a new FileSet.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateFileSetRequest'
      responses:
        '200':
          description: The metadata for the created FileSet.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FileSetMetadataBase'
        '401':
          description: Unauthorized
components:
  schemas:
    CreateFileSetRequest:
      type: object
      required:
        - name
      properties:
        name:
          type: string
          description: The name of the FileSet.
        accountId:
          type: integer
          nullable: true
          description: The account ID to associate.
        connectorContext:
          $ref: '#/components/schemas/ConnectorContext'
          nullable: true
        description:
          type: string
          nullable: true
          description: Description for the FileSet.
    FileSetMetadataBase:
      description: Base metadata for a FileSet.
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
        description:
          type: string
          nullable: true
        created:
          type: string
          format: date-time
        createdBy:
          type: integer
    ConnectorContext:
      type: object
      required:
        - connector
      properties:
        connector:
          type: string
          description: The connector key.
        relativePath:
          type: string
          nullable: true
          description: Relative path for the connector.
  securitySchemes:
    developerToken:
      type: apiKey
      in: header
      name: X-DOMO-Developer-Token
      description: Domo Developer Token for authentication.

````